Bug 1058719 - MySQL server does not restart after unclean reboot
Summary: MySQL server does not restart after unclean reboot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mysql
Version: 6.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Honza Horak
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 1037650 1064862
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 12:24 UTC by Libor Miksik
Modified: 2018-12-04 17:10 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: MySQL socket was checked for existence, but it was not checked if any process uses it. Consequence: If a server crashed, it couldn't be started again. Fix: Existence of MySQL socket is ignored in case no process uses it. Result: Server can be restarted after crash.
Clone Of:
Environment:
Last Closed: 2014-02-12 18:24:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0164 normal SHIPPED_LIVE Moderate: mysql security and bug fix update 2014-02-12 23:22:48 UTC

Description Libor Miksik 2014-01-28 12:24:26 UTC
This bug has been copied from bug #1037650 and has been proposed
to be backported to 6.5 z-stream (EUS).

Comment 5 Honza Horak 2014-01-28 16:59:11 UTC
How to test:
1. service mysqld start
2. killall -9 mysqld_safe mysqld
3. service mysqld start
4. echo $?

Actual results:
1
Service doesn't start

Expected results:
0
Service starts

Comment 9 errata-xmlrpc 2014-02-12 18:24:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0164.html


Note You need to log in before you can comment on or make changes to this bug.